import { Component, HostListener, OnInit } from '@angular/core';
import { GlobalService, UserAccountService } from '../../services';
import { Router } from '@angular/router';
import { timer } from 'rxjs';
declare var window: any;
@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

  public message:string;


  constructor(public userService : UserAccountService, public globalService: GlobalService, public router: Router) { }

  ngOnInit() {
    var result: any = {};
    window.location.hash.substring(1).split('&').forEach(e => {
      var k = e.split('=');
      if (k[1]!='null')
        result[k[0]] = k[1];
    });
    let provider = decodeURIComponent(result.state).split('|')[0]
    let returnUrl = decodeURIComponent(result.state).split('|')[1]
    this.userService.redirectTo = returnUrl;

    if (window.opener && window.opener && window.opener.login)
    {
        window.opener.login.externalLogin(result, provider);
        window.close();
        return;
    }
      if (window.parent && window.parent.login) {
        window.parent.login.externalLogin(result, provider);
        return;
      }
     
      

      timer(100).subscribe(r => {
        window.login.externalLogin(result, provider);

        
      });

    // this.userService.redirectTo = null;
    // let redirectUrl = this.userService.processLogin().subscribe(res => {
    //   console.log(window)
    //   if (window.opener && window.opener && window.opener.login)
    //   {
    //     window.opener.login.userLoggedIn(this.userService.currentUser);
    //     window.close();
    //     return;
    //   }
    //   if (window.parent && window.parent.login) {
    //     window.parent.login.userLoggedIn(this.userService.currentUser);
    //     return;
    //   }
    //   window.login.userLoggedIn(this.userService.currentUser);
    // });
  }

}
