import { Component, OnInit } from '@angular/core';
declare var window: any;

@Component({
  selector: 'app-logout',
  templateUrl: './logout.component.html',
  styleUrls: ['./logout.component.css']
})
export class LogoutComponent implements OnInit {

  constructor() { }

  ngOnInit() {
    if (window.parent && window.parent.app) {
      window.parent.app.userLoggedOut();
    }
    
    if (window.opener && window.opener.top && window.opener.top.app)
    {
      window.opener.top.app.userLoggedOut();
      window.close();
    }

  }

}
