import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { TranslationSharedService, UserAccountService } from 'flow-concept-shared/services';

@Component({
  selector: 'app-user-tokens',
  templateUrl: './user-tokens.component.html',
  styleUrls: ['./user-tokens.component.css']
})
export class UserTokensComponent implements OnInit {
  userTokens: any;
  userId: any;


  constructor(
    public userService: UserAccountService,
    public route: ActivatedRoute,
    public translationService: TranslationSharedService,

  ) { }

  ngOnInit() {
    this.route.queryParams.subscribe(params => {
      this.userId = params['id'];

      this.getToken();
    });
    this.getToken()
  }

  getToken() {
    // this.userService.getUserTokens(this.userId).subscribe(r => {
    //   this.userTokens = r.result;
    //   console.log(r)
    //   console.log(this.userTokens.userToken)
    // })
  }

}