export class Misc {
hexToRgbA(hex, opacity){
    var c;
    if(/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)){
        c= hex.substring(1).split('');
        if(c.length== 3){
            c= [c[0], c[0], c[1], c[1], c[2], c[2]];
        }
        c= '0x'+c.join('');
        return 'rgba('+[(c>>16)&255, (c>>8)&255, c&255].join(',')+',' + opacity + ')';
    }
    throw new Error('Bad Hex');
}

static async resizeImage(base64, maxWidth = 500, maxHeight = 500, quality=100){


        // Max size for thumbnail
          if(typeof(maxWidth) === 'undefined')  maxWidth = 500;
          if(typeof(maxHeight) === 'undefined')  maxHeight = 500;
        
          // Create and initialize two canvas
          var canvas = document.createElement("canvas");
          var ctx = canvas.getContext("2d");
          var canvasCopy = document.createElement("canvas");
          var copyContext = canvasCopy.getContext("2d");
        
          // Create original image
          var img = new Image();
          await new Promise(r => {img.onload=r; img.src = (!base64.includes('data:image') ? 'data:image/jpeg;base64,' : '') + base64});
          
          // Determine new ratio based on max size
          var ratio = 1;

          if(img.width > maxWidth && img.width > img.height )
            ratio = maxWidth / img.width;
          else if(img.height > maxHeight && img.width < img.height)
            ratio = maxHeight / img.height;
        
          // Draw original image in second canvas
          canvasCopy.width = img.width;
          canvasCopy.height = img.height;
          copyContext.drawImage(img, 0, 0);
        
          // Copy and resize second canvas to first canvas
          canvas.width = img.width * ratio;
          canvas.height = img.height * ratio;
          ctx.drawImage(canvasCopy, 0, 0, canvasCopy.width, canvasCopy.height, 0, 0, canvas.width, canvas.height);
        
          let result = canvas.toDataURL('image/webp', quality);
          result = result.replace('data:image/webp;base64,', '');
          console.log(result);
          return result;
       
        }
}