export class SortingPagingCriteria {
    public numberOfRecords: number = 100;
    public pageNumber: number = 1;

    public columnSortOrdersDefinition: ColumnSortOrdersDefinition;
    public applySort(columnName) { 
        if (this.columnSortOrdersDefinition.columnName == columnName) {
            this.columnSortOrdersDefinition.columnSortOrder = this.columnSortOrdersDefinition.columnSortOrder === 'Ascending' ? 'Descending' : 'Ascending';
        }
        else {
            this.columnSortOrdersDefinition.columnName = columnName;
            this.columnSortOrdersDefinition.columnSortOrder = 'Ascending';
        }
    }
}
class ColumnSortOrdersDefinition {
    public columnName: string;
    public columnSortOrder: string
}