import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'sum'
})
// The work of the pipe is handled in the tranform method with our pipe's class
export class SumPipe implements PipeTransform {
        
    constructor() {}

  transform(value: any[], member: string) {
    let result = 0;
    value.forEach(t => result  += parseFloat(t[member]));
    return result;
  }
}
