import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'translation'
})
// The work of the pipe is handled in the tranform method with our pipe's class
export class TranslationPipe implements PipeTransform {
        
    constructor() {}

  transform(value: string, htmlContentList: any) {
    return htmlContentList && htmlContentList[value] ? htmlContentList[value] : value;

  }
}
