import { Route } from '@angular/router'
import { LoginComponent, HtmlPageComponent, LogoutComponent, QuestionsAnswersComponent, UserTokensComponent } from './components';
import { AppSettingsLoaderService } from './services/appsettings-loader/appsettings-loader.service';

export const SHARED_ROUTES: Route[] = [
    { path: 'login', component: LoginComponent, canActivate: [AppSettingsLoaderService] },
    { path: 'logout', component: LogoutComponent, canActivate: [AppSettingsLoaderService] },
    { path: 'questions-answers', component: QuestionsAnswersComponent, canActivate: [AppSettingsLoaderService] },
    
];
